
# Interface: ICanvasDefinitionSetTheme

Provides properties to define a product theme.

For details, you can refer to the [SetTheme command](https://customerscanvas.com/dev/sdks/ui-framework/widgets/design-editor-commands/set-theme.html).
```
{
  "type": "canvas",
  "name": "editor",
  "params": {
    "initial": { ... },
    "setTheme": {
      "primary": "{{ "#f00" }}",
      "secondary": "{{ "#0f0" }}"
    }
  }
}
```

## Hierarchy

* [ICanvasCommandDefinition](icanvascommanddefinition.md)

  ↳ **ICanvasDefinitionSetTheme**

## Index

### Properties

* [after](icanvasdefinitionsettheme.md#optional-after)
* [theme](icanvasdefinitionsettheme.md#theme)

## Properties

### `Optional` after

• **after**? : *string | string[]*

*Inherited from [ICanvasCommandDefinition](icanvascommanddefinition.md).[after](icanvascommanddefinition.md#optional-after)*

The next commands to be executed after this command completes.

___

###  theme

• **theme**: *string | CustomersCanvas.IframeApi.Configuration.IProductThemeConfig*

Typically, it is a theme name as a string, but you can also pass a [structure describing an "ad-hoc" theme](https://customerscanvas.com/dev/sdks/design-editor-js/reference/IframeApi/IProductThemeConfig.html).
